Subject: Re: Discussion on ARM kernel command line boot options.

From: Russell King - ARM Linux Admin <[email-masked]>
Date: Sat, 11 Mar 2000 15:17:05 +0000 (GMT)

Please discuss this on linux-arm-kernel.

Steven J. Hill writes:
> It appears from my digging in the code that then only way to send any options
> to the kernel is to put them in at compile time. 'arch/arm/kernel/setup.c'
> contains the static character array 'default_command_line' which is set equal
> to the string hard coded during kernel configuration. I have two possible
> suggestions for passing options:

There is already a defined structure to pass arguments/data to the kernel.
Please look in include/asm-arm/setup.h and arch/arm/kernel/setup.c

In fact, many architectures use this:

	NetWinder
	Archimedes
	A5000
	RiscPC
	EBSA110
	EBSA285
and probably more.
   _____
  |_____| ------------------------------------------------- ---+---+-
  |   |        Russell King       [email-masked]      --- ---
  | | | |            http://www.arm.linux.org.uk/            /  /  |
  | +-+-+                                                     --- -+-
  /   |               THE developer of ARM Linux              |+| /|\
 /  | | |                                                     ---  |
    +-+-+ -------------------------------------------------  /\\\  |

unsubscribe: body of `unsubscribe linux-arm-kernel' to [email-masked]